/***************************************************************************
                          settings.cpp  -  description
                             -------------------
    begin                : Sat Feb 17 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qcombobox.h>

#include "settings.h"

Settings::Settings(QWidget *parent, const char *name ) : SettingsDlg(parent,name, true) {
}

Settings::~Settings(){
}

/** No descriptions */
QString Settings::bitrate() const {
	return bitrateEdit->currentText();
}

/** No descriptions */
void Settings::setBitrate(const QString& bitrate) {
	if (bitrate == "9600")
		bitrateEdit->setCurrentItem(0);
	else if (bitrate == "19200")
		bitrateEdit->setCurrentItem(1);
	else if (bitrate == "38400")
		bitrateEdit->setCurrentItem(2);
	else if (bitrate == "76800")
		bitrateEdit->setCurrentItem(3);
	else if (bitrate == "115200")
		bitrateEdit->setCurrentItem(4);
}
